From 123740c462c9a8ab29d7f7177b3bb0384452950e Mon Sep 17 00:00:00 2001
From: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
Date: Sat, 9 May 2009 21:29:41 +0200
Subject: [PATCH 02/48] soc-camera: Fix section mismatch warning

modpost needs a __refdata marker in driver structs to ensure references to
.probe and .remove functions from .devinit.text and .devexit.text sections
respectively are valid. Add __refdata to soc_camera_pdrv platform driver.

Signed-off-by: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
---
 drivers/media/video/soc_camera.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/drivers/media/video/soc_camera.c b/drivers/media/video/soc_camera.c
index fecd7e7..2014e9e 100644
--- a/drivers/media/video/soc_camera.c
+++ b/drivers/media/video/soc_camera.c
@@ -1203,7 +1203,7 @@ static int __devexit soc_camera_pdrv_remove(struct platform_device *pdev)
 	return 0;
 }
 
-static struct platform_driver soc_camera_pdrv = {
+static struct platform_driver __refdata soc_camera_pdrv = {
 	.probe	= soc_camera_pdrv_probe,
 	.remove	= __exit_p(soc_camera_pdrv_remove),
 	.driver	= {
-- 
1.6.2.4

